### Function

# Snapd LogCallback

since: 1.64

#### Declaration

    void
    (* SnapdLogCallback) (
      SnapdClient* client,
      SnapdLog* log,
      gpointer user_data
    )

#### Description [src]

Signature for callback function used in snapd_client_follow_logs_sync().

Available since: 1.64

#### Parameters

`client`

  Type: `SnapdClient`

  A `SnapdClient`.

  The data is owned by the caller of the function.

`log`

  Type: `SnapdLog`

  A `SnapdLog` received.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.